package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseEnt;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 短期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@TableName("space_optimize_short_wellhead")
public class SpaceOptimizeShortWellheadEnt extends BaseEnt implements Serializable {

    @XText("短期优化周期ID")
    @TableField
    private String shortPeriodId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;
}
