package pps.core.space.service.data.space_institution_institution;

import lombok.Data;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 基础间开配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class CreateSpaceInstitutionInstitutionInput {
    @XText("ID")
    private String id;

    @XText("是否删除(0_是,1_否)")
    private Integer isDeleted;

    @XText("创建人ID")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人ID")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("组织机构ID")
    private String ouId;

    @XText("线路ID")
    private String lineId;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("制度名称")
    private String institutionName;

    @XText("制度开始时间")
    private Date institutionStartDate;

    @XText("制度结束时间")
    private Date institutionEndDate;

    @XText("优化至")
    private Date optimizeDeadline;

    @XText("优化状态(0_已优化,1_未优化)")
    private Integer optimizeState;

    @XText("当前基础制度(0_是,1_否)")
    private Integer isCurrentBasic;

    @XText("启动间隔(分钟)")
    private Integer startInterval;
}
